using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace SelectPdf.Samples.Pages
{
    public class DocumentPropertiesModel : PageModel
    {
        public void OnGet()
        {

        }

        public IActionResult OnPost()
        {
            // create a new pdf document
            PdfDocument doc = new PdfDocument();

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create a new text element and add it to the page
            PdfTextElement text = new PdfTextElement(50, 50,
                "SelectPdf for .NET 6 - Document Properties Sample", font);
            page.Add(text);

            // set the document properties
            doc.DocumentInformation.Title = "SelectPdf for .NET Sample";
            doc.DocumentInformation.Author = "SelectPdf Samples";
            doc.DocumentInformation.Subject = "SelectPdf Library Samples";
            doc.DocumentInformation.Keywords = "pdf library, sample code";
            doc.DocumentInformation.CreationDate = DateTime.Now;
            doc.DocumentInformation.Language = "en-US";

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}